:root,
.dark-mode {
  --background-color: #1b1b1b;
  --site-border-color: #858585;
  --site-footer-background-color: #343434;
  --btn-secondary-background-color: #4e4e4e;
  --btn-secondary-hover-background-color: #858585;
  --color: #ffffff;
  --text-muted-color: #cdcdcd;
  --form-control-color: #ffffff;
  --form-control-background-color: #343434;
  --table-color: #ffffff;
  --card-background-color: #1b1b1b;
  --alert-secondary-color: #cdcdcd;
  --alert-secondary-background-color: #343434;
  --alert-warning-color: #cdcdcd;
  --alert-warning-background-color: #322f16;
  --alert-danger-color: #cdcdcd;
  --alert-danger-background-color: #461e25;
  --alert-danger-border-color: #ff707f;
}

.site-header {
  line-height: 1;
  border-bottom: 1px solid var(--site-border-color);
}

body {
  background-color: var(--background-color);
  color: var(--color);
}

.site-menu {
  line-height: 1;
  border-bottom: 1px solid var(--site-border-color);
}

.site-header-logo {
  font-family: "Playfair Display", Georgia, "Times New Roman", serif;
  font-size: 2.25rem;
}

.login-form {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: 10px auto 30px auto;
}

main.container {
  min-height: 210px;
  margin-bottom: 20px;
}

[data-toggle="collapse"] .fa:after {
  content: "\f139";
}

[data-toggle="collapse"].collapsed .fa:after {
  content: "\f13a";
}

.btn-secondary {
  background-color: var(--btn-secondary-background-color)
}

.btn-secondary:hover {
  background-color: var(--btn-secondary-hover-background-color)
}

.text-muted {
  color: var(--text-muted-color) !important;
}

.text-dark {
  color: var(--color) !important;
}

a.text-dark:hover {
  color: var(--color) !important;
}

.form-control {
  color: var(--form-control-color);
  background-color: var(--form-control-background-color) !important;
}

.form-control:focus {
  color: var(--form-control-color);
  background-color: var(--form-control-background-color) !important;
}

.table {
  color: var(--table-color);
}

.card {
  background-color: var(--card-background-color);
}

.alert-secondary {
  color: var(--alert-secondary-color);
  background-color: var(--alert-secondary-background-color);
}

.alert-warning {
  color: var(--alert-warning-color);
  background-color: var(--alert-warning-background-color);
}

.alert-danger {
  color: var(--alert-danger-color);
  background-color: var(--alert-danger-background-color);
  border-color: var(--alert-danger-border-color);
}

pre {
  color: var(--color);
}
